package common.service;

import common.model.*;
import tkio.model.PackageType;

import java.util.List;
import java.util.Map;

/**
 * Created by mxq on 2018/1/16.
 */
public interface ContractService {

    Map<String, Object> checkAccount(String email, String platfrom);

    Boolean checkTime(String email, String platfrom, String type, String product);

    List<ContractBody> findBody();

    String getContractCode(String code);

    List findSetmeal();
    //增值服务
    List<ContractIncrement> findIncrement();

    Double getRebat(String product, Integer level, Long money);

    List<User> getSales();

    Contract create(User loginUser, Contract resource);

    Contract update(User loginUser, Contract resource);

    List<Contract> findAll(User loginAccount,String startDate, String endDate, String platfrom);

    Contract findOne(String code);

    ContractMoney pay(User loginUser, ContractMoney resource);

    Contract change(User loginUser, ContractChange resource);

    List<ContractMoney> findPay(String startDate, String endDate, String code);

    List<ContractChange> findChange(String startDate, String endDate, String code);

    Contract updatePay(User loginUser, ContractMoney resource);

    List<ContractMoney> findPayAll(String startDate, String endDate, String platform);

    Contract build(Contract contract);
}